[gelöst] Mint 18.1 und Lazarus 1.7

Für Installationen unter Linux-Systemen

[gelöst] Mint 18.1 und Lazarus 1.7

Beitragvon kralle » 5. Jan 2017, 16:30 [gelöst] Mint 18.1 und Lazarus 1.7

Hallo,

ich habe gerade "Linux Mint 18.1" neu aufgesetzt und dann "Lazarus 1.7" installiert.
Wenn ich jetzt einfach einen Button auf eine Formular lege und das Projekt dann kompiliere, dann bekomme ich folgende Meldungen:

Nachrichten, Hinweise: 18
Note: Duplicate unit "translations" in "LazUtils 1.0", ppu="/usr/local/share/lazarus/components/lazutils/lib/x86_64-linux/translations.ppu", source="/usr/local/share/lazarus/components/lazutils/translations.pas"
Note: Duplicate unit "translations" in "LCLBase 1.7", ppu="/usr/local/share/lazarus/lcl/units/x86_64-linux/translations.ppu", source="/usr/local/share/lazarus/lcl/translations.pas"
Note: Duplicate unit "textstrings" in "LazUtils 1.0", ppu="/usr/local/share/lazarus/components/lazutils/lib/x86_64-linux/textstrings.ppu", source="/usr/local/share/lazarus/components/lazutils/textstrings.pas"
Note: Duplicate unit "textstrings" in "LCLBase 1.7", ppu="/usr/local/share/lazarus/lcl/units/x86_64-linux/textstrings.ppu", source="/usr/local/share/lazarus/lcl/textstrings.pas"
Note: Duplicate unit "stringhashlist" in "LazUtils 1.0", ppu="/usr/local/share/lazarus/components/lazutils/lib/x86_64-linux/stringhashlist.ppu", source="/usr/local/share/lazarus/components/lazutils/stringhashlist.pas"
Note: Duplicate unit "stringhashlist" in "LCLBase 1.7", ppu="/usr/local/share/lazarus/lcl/units/x86_64-linux/stringhashlist.ppu", source="/usr/local/share/lazarus/lcl/stringhashlist.pas"
Note: Duplicate unit "maps" in "LazUtils 1.0", ppu="/usr/local/share/lazarus/components/lazutils/lib/x86_64-linux/maps.ppu", source="/usr/local/share/lazarus/components/lazutils/maps.pp"
Note: Duplicate unit "maps" in "LCLBase 1.7", ppu="/usr/local/share/lazarus/lcl/units/x86_64-linux/maps.ppu", source="/usr/local/share/lazarus/lcl/maps.pp"
Note: Duplicate unit "lazlinkedlist" in "LazUtils 1.0", ppu="/usr/local/share/lazarus/components/lazutils/lib/x86_64-linux/lazlinkedlist.ppu", source="/usr/local/share/lazarus/components/lazutils/lazlinkedlist.pas"
Note: Duplicate unit "lazlinkedlist" in "LCLBase 1.7", ppu="/usr/local/share/lazarus/lcl/units/x86_64-linux/lazlinkedlist.ppu", source="/usr/local/share/lazarus/lcl/lazlinkedlist.pas"
Note: Duplicate unit "extendedstrings" in "LazUtils 1.0", ppu="/usr/local/share/lazarus/components/lazutils/lib/x86_64-linux/extendedstrings.ppu", source="/usr/local/share/lazarus/components/lazutils/extendedstrings.pas"
Note: Duplicate unit "extendedstrings" in "LCLBase 1.7", ppu="/usr/local/share/lazarus/lcl/units/x86_64-linux/extendedstrings.ppu", source="/usr/local/share/lazarus/lcl/extendedstrings.pas"
Note: Duplicate unit "dynqueue" in "LazUtils 1.0", ppu="/usr/local/share/lazarus/components/lazutils/lib/x86_64-linux/dynqueue.ppu", source="/usr/local/share/lazarus/components/lazutils/dynqueue.pas"
Note: Duplicate unit "dynqueue" in "LCLBase 1.7", ppu="/usr/local/share/lazarus/lcl/units/x86_64-linux/dynqueue.ppu", source="/usr/local/share/lazarus/lcl/dynqueue.pas"
Note: Duplicate unit "dynhasharray" in "LazUtils 1.0", ppu="/usr/local/share/lazarus/components/lazutils/lib/x86_64-linux/dynhasharray.ppu", source="/usr/local/share/lazarus/components/lazutils/dynhasharray.pp"
Note: Duplicate unit "dynhasharray" in "LCLBase 1.7", ppu="/usr/local/share/lazarus/lcl/units/x86_64-linux/dynhasharray.ppu", source="/usr/local/share/lazarus/lcl/dynhasharray.pp"
Note: Duplicate unit "dynamicarray" in "LazUtils 1.0", ppu="/usr/local/share/lazarus/components/lazutils/lib/x86_64-linux/dynamicarray.ppu", source="/usr/local/share/lazarus/components/lazutils/dynamicarray.pas"
Note: Duplicate unit "dynamicarray" in "LCLBase 1.7", ppu="/usr/local/share/lazarus/lcl/units/x86_64-linux/dynamicarray.ppu", source="/usr/local/share/lazarus/lcl/dynamicarray.pas"
Projekt kompilieren, Ziel: /home/laz-user/tmp/project1: Exit code 256, Fehler: 1, Warnungen: 1
Warning: Recompiling DynHashArray, checksum changed for LCLProc
gtk2int.pas(42,26) Fatal: Kann DynHashArray nicht finden verwendet von Gtk2Int, incompatible ppu=/usr/local/share/lazarus/components/lazutils/lib/x86_64-linux/dynhasharray.ppu, mehrfache Packages: LCLBase, LazUtils


Was ist die Ursache und wie behebe ich diese dauerhaft?

Lazarus Version#: 1.7
Datum: 2017-01-05
FPC-Version: 3.0.0
SVN-Revision: 53885
x86_64-linux-gtk2


Gruß Heiko
Zuletzt geändert von kralle am 6. Jan 2017, 18:00, insgesamt 1-mal geändert.
Linux Mint 19.3 , FPC-Version: 3.0.4 , Lazarus 2.0.7
+ Delphi XE7SP1
Vereinsmitglied
kralle
Lazarusforum e. V.
 
Beiträge: 618
Registriert: 17. Mär 2010, 14:50
Wohnort: Bremerhaven
OS, Lazarus, FPC: Linux Mint 19.2 , FPC 3.0.4 , Lazarus 2.0.x -Win10 & XE7Pro | 
CPU-Target: 64Bit
Nach oben

Beitragvon Mathias » 5. Jan 2017, 16:40 Re: Mint 18.1 und Lazarus 1.7

Hast du versucht Lazarus 2x zu installieren, ansonsten sieht es aus, wie die gegenwärtige Trunk einen Fehler hat.
Wie hast du das Ganze installiert ?

Versuche mal den Ordner /usr/local/share/lazarus/ zu löschen und das Ganze nochmal zu installieren.
Mit Lazarus sehe ich gün
Mit Java und C/C++ sehe ich rot
Mathias
 
Beiträge: 4421
Registriert: 2. Jan 2014, 17:21
Wohnort: Schweiz
OS, Lazarus, FPC: Linux (die neusten Trunc) | 
CPU-Target: 64Bit
Nach oben

Beitragvon kralle » 6. Jan 2017, 18:00 Re: Mint 18.1 und Lazarus 1.7

Hallo Mathias,

Mathias hat geschrieben:Versuche mal den Ordner /usr/local/share/lazarus/ zu löschen und das Ganze nochmal zu installieren.


Jupp, das war es. Danke.

Gruß Heiko
Linux Mint 19.3 , FPC-Version: 3.0.4 , Lazarus 2.0.7
+ Delphi XE7SP1
Vereinsmitglied
kralle
Lazarusforum e. V.
 
Beiträge: 618
Registriert: 17. Mär 2010, 14:50
Wohnort: Bremerhaven
OS, Lazarus, FPC: Linux Mint 19.2 , FPC 3.0.4 , Lazarus 2.0.x -Win10 & XE7Pro | 
CPU-Target: 64Bit
Nach oben

• Themenende •

Zurück zu Linux



Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast

porpoises-institution
accuracy-worried